{
  "schema_version": "1.4.0",
  "id": "GHSA-x3p7-g646-9j92",
  "modified": "2025-04-03T04:22:42Z",
  "published": "2022-05-01T02:27:39Z",
  "aliases": [
    "CVE-2005-4470"
  ],
  "details": "Heap-based buffer overflow in the get_bhead function in readfile.c in Blender BlenLoader 2.0 through 2.40pre allows remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a .blend file with a negative bhead.len value, which causes less memory to be allocated than expected, possibly due to an integer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2005-4470"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/238-2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/18176"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/18178"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/18452"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/19754"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2006/dsa-1039"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200601-08.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.overflow.pl/adv/blenderinteger.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/419907/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/15981"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2005/3032"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2005-12-22T00:03:00Z"
  }
}